Video Screencast Help
Symantec Appoints Michael A. Brown CEO. Learn more.

NetBackup client software install for RedHat Linux 2.4

Created: 31 Jan 2013 | 8 comments

We are currently replacing & upgrading our backup infrastructure running Alexandria (CA) to NetBackup 7.5.0.3.

Our Master Servers are currently Solaris 10 (soon to be Linux 2.6) and most of our client population is HPUX 11i, NetBackup 7.5.0.3 seems to install and work just fine on the majority as we're only using basic NB flat file or raw file backup capability. ie. no fancy stuff like Advanced Client etc.. As we used to have the Master/Media Servers running 6.5.6 before we upgraded them to 7.1.0.3, then 7.5.0.3, we have also managed to install 6.5.6 onto a small number of our legacy Solaris 8 hosts and this also works satisfactorily.

We have however also a few Linux 2.4 hosts. Although I have the distribution files for 6.5.6 which includes the required Linux 2.4 s/w it does not appear to be enough to get these clients installed as it appears to be missing the "move_libs" and ".sizes" files. How can I get my hands on the 6.5 client distribution s/w so that I can build an image to install from... or is there another way around this? We have purchased (7.5) NetBackup client licenses for these hosts but in reality only require 6.5.6.

A "uname" on an example host in question yields the following...

$ uname -a
Linux ThisHost 2.4.9-34 #1 Sat Jun 1 06:32:14 EDT 2002 i686 unknown

NOTE : Due to the legacy critical appplications sitting on both the Solaris 8 and Linux RedHat 2.4 hosts we cannot upgrade them to a later version.

Comments 8 CommentsJump to latest comment

Marianne's picture

Getting hold of base software for  NBU 6.5 or 6.5.4 will be very diffucult now that 6.x has gone EOSL (Oct 2012).

Easiest will be to contact your local Symantec Partner or Symantec office. If you are lucky, they may have old 6.5 or 6.5.4 dvd's lying around. 

While 6.5 was still supported, one could contact Symantec Customer Care for back-level clients. 
You can try going that route, but I doubt that they will help with EOSL version...

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links

CRZ's picture

6.5 ISOs are still available at FileConnect if you have the right serial number, but I have to admit I am totally unfamiliar with the process if you don't have one and need a temporary SN.  Start your journey by scrolling down to the "Downloads" section of this TechNote:

Obtaining Licensing and Installation Media
 http://symantec.com/docs/TECH63533

Good luck!


bit.ly/76LBN | APPLBN | 75LBN

Yasuhisa Ishikawa's picture

Are you using Redhat 7? If so, It is also not supported on NetBackup 6.x.
Please consider to export backup target via NFS, mount it on alternate NetBackup 7.x client, and back it up through alternate client.

Authorized Symantec Consultant(ASC) Data Protection in Tokyo, Japan

phstacey2's picture

Thanks, it is as I thought then? We have NFS exported Linux filesystems on other hosts before but it's not deemed too appropriate for these servers so we'd prefer to go the installed client route...if that's possible. There are no NB supported RedHat Linux hosts within that part of the firewall unfortuneatly.

 I was thinking of obtaining a temporary key of the Symantec Account Manager. We did this once before but I was hoping that there might have been something I was missing and that a techy solution might be possible without bothering my local Symantec contacts.

Mark_Solutions's picture

Take a look through the 6.5.x patches - i have a feeling oine of them, maybe 6.5.4 is actually a full client installation due to adding additional client support - worth a look

#edit#

or was it a 6.0.x patch? Not sure

Authorised Symantec Consultant

Don't forget to "Mark as Solution" if someones advice has solved your issue - and please bring back the Thumbs Up!!.

phstacey2's picture

After spending hours searching for anything relevant on any of our multitude of Unix (NB) servers/clients desperation finally set in and I ran a Windows search of everything on both our large shared area and my local C: drive for file with "*gz" on the end of a filename. This surprisingly found the following that I'd (probably) downloaded 3.5 years ago for some reason and forgotten about...

NetBackup6.0MP4_CLIENTS2_SolLinux.tar 12/05/2009

This has the following in it...

Nov 6 22:33 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/
Nov 3 13:32 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/fsanalyze
Nov 3 14:29 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/nbj.conf
Nov 3 14:29 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/JRE.tar.Z
Nov 3 14:30 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/client_config
Nov 3 14:30 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/cp_to_client
Nov 3 14:30 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/extract_java
Nov 3 14:30 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/install_client
Dec 19 17:46 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/ftp_to_client symbolic link to install_client
Nov 3 14:30 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/move_libs
Nov 3 14:30 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/version
Nov 3 14:35 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/tar
Nov 6 22:32 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/.sizes
Nov 6 22:33 2006 /usr/openv/netbackup/client/Linux/RedHat2.4/client_bin.tar.Z

As can be seen this has the elusive ".sizes" & "move_libs" in it, so I'll see where this takes me...

phstacey2's picture

Rather amazingly the "tar" file I found appears to enable me to secure and restore to a NB 7.5.0.3 media server once the RedHat 2.4 has NB 6.0 MP4 installed upon it... not ideal I know but a million miles better than where I was this morning.

I've tried to upgrade to NB 6.5.6 but had to back this out due to a missing library file. This issue does appear have a resolution tho' so we'll try this at some point over the coming days...

http://www.symantec.com/business/support/index?pag...

It's probably appropriate therefore to close this thread?

Marianne's picture

Please bear in mind that you can only install NBU 6.5.6 on top of NBU 6.5 installation. 
You cannot apply 6.5.6 to 6.0 MP4.

It's probably appropriate therefore to close this thread? 

You can do so by selecting a post in this thread and click on 'Mark as solution'.

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links